# $Revision: 1.14 $, $Date: 2011/10/18 08:11:46 $
Summary:	A fast and easy HTML parser
Summary(pl.UTF-8):	Szybki i prosty analizator HTML-a
Name:		ruby-hpricot
Version:	0.8.2
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://github.com/hpricot/hpricot/tarball/0.8.2/%{name}-%{version}.tar.gz
# Source0-md5:	def40ba2aeb04511df9ec47d3bcecf0e
URL:		http://hpricot.com/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's HTree
and John Resig's JQuery, but with the scanner recoded in C (using
Ragel for scanning.) I've borrowed what I believe to be the best ideas
from these wares to make Hpricot heaps of fun to use.

%description -l pl.UTF-8
Hpricot to bardzo elastyczny analizator HTML-a, oparty na HTree Tanaka
Akiry i JQuery Johna Resiga, ale ze skanerem napisanym w C
(wykorzystującym Ragela). Z tych wyrobów zapożyczono najlepsze
pomysły, aby uczynić Hpricota najprzyjemniejszym w użyciu.

%prep
%setup -q -c
mv hpricot-hpricot-*/* .
rm -rf hpricot-hpricot-*

%build
cd ext/hpricot_scan
ls *.c *.h > MANIFEST
cd ../..
ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

# rdoc crashes on _why's craaazy code.
#rdoc --op rdoc lib
#rdoc --ri --op ri lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

#cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%doc rdoc
%{ruby_rubylibdir}/hpricot*
%{ruby_archdir}/hpricot*
%{ruby_archdir}/fast_xs.so
#%{ruby_ridir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-hpricot.spec,v $
Revision 1.14  2011/10/18 08:11:46  hawk
- release 3

Revision 1.13  2011/01/23 14:55:41  sparky
- BR: ruby-devel, ruby-modules
- dropped unused BR: ruby-rake

Revision 1.12  2010/11/15 10:17:38  pawelz
- release 2

Revision 1.11  2010/06/24 15:53:42  pawelz
- License

Revision 1.10  2010/06/24 10:44:36  pawelz
- up to 0.8.2
- updated URL, Source0 and deps

Revision 1.9  2007/09/06 06:30:24  aredridel
- 0.6

Revision 1.8  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.7  2007/03/08 06:22:33  aredridel
- 0.5.110

Revision 1.6  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.4  2007/02/01 06:50:11  aredridel
- 0.5

Revision 1.3  2007/01/30 16:45:54  aredridel
- 0.4.99

Revision 1.2  2006/12/06 09:22:41  qboosh
- pl

Revision 1.1  2006/12/06 01:19:38  aredridel
- added

Revision 1.7  2006/08/10 14:46:56  qboosh
- pl

Revision 1.6  2006/08/08 22:38:15  aredridel
- R: ruby-ActiveRecord >= 1.14.0

Revision 1.5  2006/08/08 22:03:41  aredridel
- R: ruby-metaid
- R: ruby-markaby

Revision 1.4  2006/08/08 21:52:53  aredridel
- not noarch until ruby is fixed

Revision 1.3  2006/08/08 21:44:32  aredridel
- cleanup

Revision 1.2  2006/08/08 21:42:40  aredridel
- patch out rubygems
- package examples

Revision 1.1  2006/08/08 21:26:43  aredridel
- added
